package com.hzya.frame.sysnew.archivesContrast.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 档案对照实体类
 *
 * @author makejava
 * @since 2024-05-27 16:21:36
 */
public class SysArchivesContrastEntity extends BaseEntity {
 
  /**  左应用id */
   private String leftAppId;
  /**  左应用编码 */
   private String leftAppCode;
  /**  左应用名称 */
   private String leftAppName;
  /**  左接口ID */
   private String leftApiId;
  /**  左id */
   private String leftId;
  /**  左编码 */
   private String leftCode;
  /**  左名称 */
   private String leftName;
  /**  左手机号 */
   private String leftTel;
  /**  左身份证号 */
   private String leftIc;
  /**  右应用id */
   private String rightAppId;
  /**  右应用编码 */
   private String rightAppCode;
  /**  右应用名称 */
   private String rightAppName;
  /**  右接口ID */
   private String rightApiId;
  /**  右id */
   private String rightId;
  /**  右编码 */
   private String rightCode;
  /**  右名称 */
   private String rightName;
  /**  右手机号 */
   private String rightTel;
  /**  右身份证号 */
   private String rightIc;
  /**  公司id */
   private String companyId;
  /**  左公司 */
   private String leftOrg;
  /**  右公司 */
   private String rightOrg;
  /*  类型
        1、sys_personnel_control 人员对照
        2、sys_org_control   部门档案
        3、sys_stock_control 存货对照
        4、sys_merchant_control  客商辅助核算
        5、sys_taxrate_control  税率
        6、sys_project_control   项目辅助核算
        7、sys_bank_control  银行类别
        8、sys_bankaccount_control   银行账户
        9、sys_assets_control    资产类别
  */
   private String type;


    public String getLeftAppId() {
        return leftAppId;
    }

    public void setLeftAppId(String leftAppId) {
        this.leftAppId = leftAppId;
    }

    public String getLeftAppCode() {
        return leftAppCode;
    }

    public void setLeftAppCode(String leftAppCode) {
        this.leftAppCode = leftAppCode;
    }

    public String getLeftAppName() {
        return leftAppName;
    }

    public void setLeftAppName(String leftAppName) {
        this.leftAppName = leftAppName;
    }

    public String getLeftApiId() {
        return leftApiId;
    }

    public void setLeftApiId(String leftApiId) {
        this.leftApiId = leftApiId;
    }

    public String getLeftId() {
        return leftId;
    }

    public void setLeftId(String leftId) {
        this.leftId = leftId;
    }

    public String getLeftCode() {
        return leftCode;
    }

    public void setLeftCode(String leftCode) {
        this.leftCode = leftCode;
    }

    public String getLeftName() {
        return leftName;
    }

    public void setLeftName(String leftName) {
        this.leftName = leftName;
    }

    public String getLeftTel() {
        return leftTel;
    }

    public void setLeftTel(String leftTel) {
        this.leftTel = leftTel;
    }

    public String getLeftIc() {
        return leftIc;
    }

    public void setLeftIc(String leftIc) {
        this.leftIc = leftIc;
    }

    public String getRightAppId() {
        return rightAppId;
    }

    public void setRightAppId(String rightAppId) {
        this.rightAppId = rightAppId;
    }

    public String getRightAppCode() {
        return rightAppCode;
    }

    public void setRightAppCode(String rightAppCode) {
        this.rightAppCode = rightAppCode;
    }

    public String getRightAppName() {
        return rightAppName;
    }

    public void setRightAppName(String rightAppName) {
        this.rightAppName = rightAppName;
    }

    public String getRightApiId() {
        return rightApiId;
    }

    public void setRightApiId(String rightApiId) {
        this.rightApiId = rightApiId;
    }

    public String getRightId() {
        return rightId;
    }

    public void setRightId(String rightId) {
        this.rightId = rightId;
    }

    public String getRightCode() {
        return rightCode;
    }

    public void setRightCode(String rightCode) {
        this.rightCode = rightCode;
    }

    public String getRightName() {
        return rightName;
    }

    public void setRightName(String rightName) {
        this.rightName = rightName;
    }

    public String getRightTel() {
        return rightTel;
    }

    public void setRightTel(String rightTel) {
        this.rightTel = rightTel;
    }

    public String getRightIc() {
        return rightIc;
    }

    public void setRightIc(String rightIc) {
        this.rightIc = rightIc;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getLeftOrg() {
        return leftOrg;
    }

    public void setLeftOrg(String leftOrg) {
        this.leftOrg = leftOrg;
    }

    public String getRightOrg() {
        return rightOrg;
    }

    public void setRightOrg(String rightOrg) {
        this.rightOrg = rightOrg;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}

